org.apache.storm.security.auth.digest

## Class DigestSaslTransportPlugin

- java.lang.Object
- - org.apache.storm.security.auth.sasl.SaslTransportPlugin
  - - org.apache.storm.security.auth.digest.DigestSaslTransportPlugin

- All Implemented Interfaces:
    Closeable, AutoCloseable, ITransportPlugin

      public class DigestSaslTransportPlugin
      extends SaslTransportPlugin

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.storm.security.auth.sasl.SaslTransportPlugin

      `SaslTransportPlugin.User`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DIGEST`

    - ### Fields inherited from class org.apache.storm.security.auth.sasl.SaslTransportPlugin

      `conf, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DigestSaslTransportPlugin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `areWorkerTokensSupported()` Check if worker tokens are supported by this transport.
    `void` | `close()`
    `org.apache.storm.thrift.transport.TTransport` | `connect(org.apache.storm.thrift.transport.TTransport transport, String serverHost, String asUser)` Connect to the specified server via framed transport.
    `protected org.apache.storm.thrift.transport.TTransportFactory` | `getServerTransportFactory(boolean impersonationAllowed)` Create the transport factory needed for serving.

    - ### Methods inherited from class org.apache.storm.security.auth.sasl.SaslTransportPlugin

      `getPort, getServer, prepare`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DIGEST

          public static final String DIGEST

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DigestSaslTransportPlugin

          public DigestSaslTransportPlugin()

  - ### Method Detail

    - #### getServerTransportFactory

          protected org.apache.storm.thrift.transport.TTransportFactory getServerTransportFactory(boolean impersonationAllowed)
                                                                                           throws IOException

      Description copied from class: `SaslTransportPlugin`

      Create the transport factory needed for serving. All subclass must implement this method.

      Specified by:
        `getServerTransportFactory` in class `SaslTransportPlugin`
      Parameters:
        `impersonationAllowed` - true if SASL impersonation should be allowed, else false.
      Returns:
        server transport factory
      Throws:
        `IOException` - on any error.

    - #### connect

          public org.apache.storm.thrift.transport.TTransport connect(org.apache.storm.thrift.transport.TTransport transport,
                                                                      String serverHost,
                                                                      String asUser)
                                                               throws org.apache.storm.thrift.transport.TTransportException,
                                                                      IOException

      Description copied from interface: `ITransportPlugin`

      Connect to the specified server via framed transport.

      Parameters:
        `transport` - The underlying Thrift transport.
        `serverHost` - server host
        `asUser` - the user as which the connection should be established, and all the subsequent actions should be executed. Only applicable when using secure storm cluster. A null/blank value here will just indicate to use the logged in user.
      Throws:
        `org.apache.storm.thrift.transport.TTransportException`
        `IOException`

    - #### areWorkerTokensSupported

          public boolean areWorkerTokensSupported()

      Description copied from interface: `ITransportPlugin`

      Check if worker tokens are supported by this transport.

      Returns:
        true if they are else false.

    - #### close

          public void close()

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `SaslTransportPlugin`

Copyright © 2021 The Apache Software Foundation. All rights reserved.